org.apache.fop.util.text

## Class IfFieldPart.Factory

- java.lang.Object
- - org.apache.fop.util.text.IfFieldPart.Factory

- All Implemented Interfaces:
    AdvancedMessageFormat.PartFactory
  Enclosing class:
    IfFieldPart

      public static class IfFieldPart.Factory
      extends Object
      implements AdvancedMessageFormat.PartFactory

  Part factory for "if".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()`
    `AdvancedMessageFormat.Part` | `newPart(String fieldName, String values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### newPart

          public AdvancedMessageFormat.Part newPart(String fieldName,
                                                    String values)

      Specified by:
        `newPart` in interface `AdvancedMessageFormat.PartFactory`

    - #### getFormat

          public String getFormat()

      Specified by:
        `getFormat` in interface `AdvancedMessageFormat.PartFactory`

Copyright © 2023 Apache Software Foundation. All rights reserved.